body {
    display: block;
    margin: 0px;
    background-color: black;
}

footer {
    position: relative;
    top: -4rem;
    height: 4rem;
}

@font-face {
    font-family: 'Inter';
    src: url('/fonts/InterDisplay-Regular.woff2') format('woff2'),
         url('/fonts/InterDisplay-SemiBold.woff2') format('woff2'),;
    font-weight: normal;
    font-style: normal;
}

p {
    display: block;
    margin-block-start: 0rem;
    margin-block-end: 0rem;
    margin-inline-start: 0rem;
    margin-inline-end: 0rem;
    unicode-bidi: isolate;
}

.text-align-centered {
    text-align: center;
}

.heading-style-h1 {
    font-family: 'Inter', sans-serif;
    font-weight: 600; 
    font-size: 2.5rem; 
    color: #ffffff; 
}

@media only screen and (max-width: 500px) {
    .heading-style-h1 {
        font-size: 1.75rem; 
    }
}

.text-size-large {
    font-family: 'Inter', sans-serif;
    font-weight: 400; 
    font-size: 1.25rem; 
    color: #e4e4e4; 
    letter-spacing: 0.05rem;
}

@media only screen and (max-width: 500px) {
    .text-size-large {
        font-size: 1rem; 
    }
}

.text-size-regular {
    font-family: 'Inter', sans-serif;
    font-weight: 400; 
    font-size: 1rem; 
    color: #e4e4e4; 
    letter-spacing: 0.05rem;
}

.text-size-small {
    font-family: 'Inter', sans-serif;
    font-weight: 400; 
    font-size: 0.875rem; 
    color: #a3a3a3; 
    letter-spacing: 0.1rem;
}

.text-link {
    font-family: 'Inter', sans-serif;
    font-weight: 400; 
    font-size: 1.25rem; 
    color: rgb(151, 250, 161);
    letter-spacing: 0.05rem;
    text-decoration: none;
    transition: ease-in-out;
    transition-duration: 400ms;
}
@media only screen and (max-width: 500px) {
    .text-link  {
        font-size: 1rem; 
    }
}

.text-link:hover {
    color: rgb(85, 243, 101);
}

.copymail {
    display: flex;
    column-gap: 0.5rem;
    flex-direction: row;
    padding: 1rem 2rem;
    background-color: rgb(13, 13, 13);
    cursor: pointer;
    border-style: solid;
    border-color: rgb(29, 29, 29);
    border-radius: 0.25rem;
    border-width: 1px;

    transition: ease-in-out;
    transition-duration: 400ms;
}

.copymail:hover {
    background-color: rgb(31, 31, 31);
    border-color: rgb(57, 57, 57);
}


.contact-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    column-gap: 1rem;
}

@media only screen and (max-width: 500px) {
    .contact-item {
        display: flex;
        flex-direction: column;
        row-gap: 2rem;
    }
}

.container-large {
    width: 100%;
    max-width: 80rem;
}

.padding-global {
    display: flex;
    padding-left: 2.5rem;
    padding-right: 2.5rem;
    flex-direction: row;
    justify-content: center;
}

.flex-centered {
    display: flex;
    justify-content: center;
}
.flex-horizontal-centered {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact-flex {
    display: flex;
    justify-content: center;
    color: white;
    padding-top: 4rem;
}

#underconstruction {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    min-height: 100vh;
    width: 100%;
    min-width: 100%;
    background-color: black;
}

@media only screen and (max-width: 500px) {
    #underconstruction {
        justify-content: flex-start;
        padding-top: 3rem;
    }
}